Bug 977462 - (CVE-2013-4635) CVE-2013-4635 php: Integer overflow in SndToJewish - DoS (excessive CPU use, interpreter hang)
CVE-2013-4635 php: Integer overflow in SndToJewish - DoS (excessive CPU use, ...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130522,repor...
: Security
Depends On:
Blocks: 977464
  Show dependency treegraph
 
Reported: 2013-06-24 11:41 EDT by Jan Lieskovsky
Modified: 2016-03-04 07:11 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-25 04:53:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-06-24 11:41:35 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-4635 to the following vulnerability:

Integer overflow in the SdnToJewish function in jewish.c in the Calendar component in PHP before 5.3.26 and 5.4.x before 5.4.16 allows context-dependent attackers to cause a denial of service (application hang) via a large argument to the jdtojewish function.

References:
[1] http://www.php.net/ChangeLog-5.php
[2] https://bugs.php.net/bug.php?id=64895

Relevant upstream patches:
[3] http://git.php.net/?p=php-src.git;a=commit;h=fc2a9d6e47ae23adb28122539b56df0d6195bdce
[4] http://git.php.net/?p=php-src.git;a=commit;h=c50cef1dc54ffd1d0fb71d1afb8b2c3cb3c5b6ef
[5] http://git.php.net/?p=php-src.git;a=commit;h=c50cef1dc54ffd1d0fb71d1afb8b2c3cb3c5b6ef
Comment 2 Huzaifa S. Sidhpurwala 2013-06-25 04:53:02 EDT
Statement:

Not Vulnerable. This issue does not affect the version of php as shipped with Red Hat Enterprise Linux 5 and 6. This issue does not affect the version of php53 as shipped with Red Hat Enterprise Linux 5.
Comment 3 Huzaifa S. Sidhpurwala 2013-06-25 04:53:36 EDT
This issue was addressed in Fedora-18 via the following update:
https://admin.fedoraproject.org/updates/FEDORA-2013-10255

Note You need to log in before you can comment on or make changes to this bug.